Determine if request is AJAX request

- « Yaf_Request_Abstract::isRouted

- Yaf_Request_Abstract::setActionName »

- PHP Manual
- Yaf_Request_Abstract
- Determine if request is AJAX request

# Yaf_Request_Abstract::isXmlHttpRequest

(Yaf >=1.0.0)

Yaf_Request_Abstract::isXmlHttpRequest — Determine if request is AJAX request

### Description

public Yaf_Request_Abstract::isXmlHttpRequest(): bool

### Parameters

This function has no parameters.

### Return Values

boolean

### See Also

- Yaf_Request_Abstract::isHead() - Determine if request is HEAD request
- Yaf_Request_Abstract::isCli() - Determine if request is CLI request
- Yaf_Request_Abstract::isPost() - Determine if request is POST request
- Yaf_Request_Abstract::isPut() - Determine if request is PUT request
- Yaf_Request_Abstract::isOptions() - Determine if request is OPTIONS request
- Yaf_Request_Abstract::isGet() - Determine if request is GET request